MyGUI::ToolTipInfo Struct Reference

`#include <MyGUI_WidgetToolTip.h>`

## Public Types

enum | ToolTipType { Hide , Show , Move }

## Public Member Functions

| ToolTipInfo (ToolTipType _type)
| ToolTipInfo (ToolTipType _type, size_t _index, const IntPoint &_point)

## Data Fields

ToolTipType | type
size_t | index
IntPoint | point

## Detailed Description

Info about tootip state

Definition at line 17 of file MyGUI_WidgetToolTip.h.

## Member Enumeration Documentation

## ToolTipType

enum MyGUI::ToolTipInfo::ToolTipType

Enumerator
Hide |
Show |
Move |

Definition at line 19 of file MyGUI_WidgetToolTip.h.

## Constructor & Destructor Documentation

## ToolTipInfo() [1/2]

MyGUI::ToolTipInfo::ToolTipInfo | ( | ToolTipType | _type | ) |

inline

Definition at line 26 of file MyGUI_WidgetToolTip.h.

## ToolTipInfo() [2/2]

MyGUI::ToolTipInfo::ToolTipInfo | ( | ToolTipType | _type,
|  | size_t | _index,
|  | const IntPoint & | _point )

inline

Definition at line 32 of file MyGUI_WidgetToolTip.h.

## Field Documentation

## index

size_t MyGUI::ToolTipInfo::index

Definition at line 40 of file MyGUI_WidgetToolTip.h.

## point

IntPoint MyGUI::ToolTipInfo::point

Definition at line 41 of file MyGUI_WidgetToolTip.h.

## type

ToolTipType MyGUI::ToolTipInfo::type

Definition at line 39 of file MyGUI_WidgetToolTip.h.

The documentation for this struct was generated from the following file:

- MyGUI_WidgetToolTip.h